CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2004-0234

Multiple stack-based buffer overflows in the get_header function in header.c for LHA 1.14, as used in products such as Barracuda Spam Firewall, allow remote attackers or local users to execute arbitrary code via long directory or file names in an LHA archive, which triggers the overflow when testing or extracting the archive.
Publish Date : 2004-08-18 Last Update Date : 2013-08-18
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
10.0
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access Admin
Vulnerability Type(s) Execute CodeOverflow
CWE ID 119

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat important 2004-05-01
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
Multiple BO Vulnerabilities in LHA get_header Function oval:org.mitre.oval:def:977 unix
Multiple stack-based buffer overflows in the get_header function in header.c for LHA 1.14, as used in products such as B... oval:org.mitre.oval:def:9881 unix
RHSA-2004:178: lha security update (Important) oval:com.redhat.rhsa:def:2004178 unix
RHSA-2004:178: lha security update (Important) oval:com.redhat.rhsa:def:20040178 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2004-0234

# Product Type Vendor Product Version Update Edition Language
1 Application Clearswift Mailsweeper 4.0 Version Details Vulnerabilities
2 Application Clearswift Mailsweeper 4.1 Version Details Vulnerabilities
3 Application Clearswift Mailsweeper 4.2 Version Details Vulnerabilities
4 Application Clearswift Mailsweeper 4.3 Version Details Vulnerabilities
5 Application Clearswift Mailsweeper 4.3.3 Version Details Vulnerabilities
6 Application Clearswift Mailsweeper 4.3.4 Version Details Vulnerabilities
7 Application Clearswift Mailsweeper 4.3.5 Version Details Vulnerabilities
8 Application Clearswift Mailsweeper 4.3.6 Version Details Vulnerabilities
9 Application Clearswift Mailsweeper 4.3.6 Sp1 Version Details Vulnerabilities
10 Application Clearswift Mailsweeper 4.3.7 Version Details Vulnerabilities
11 Application Clearswift Mailsweeper 4.3.8 Version Details Vulnerabilities
12 Application Clearswift Mailsweeper 4.3.10 Version Details Vulnerabilities
13 Application Clearswift Mailsweeper 4.3.11 Version Details Vulnerabilities
14 Application Clearswift Mailsweeper 4.3.13 Version Details Vulnerabilities
15 Application F-secure F-secure Anti-virus 4.51 Linux Workstations Version Details Vulnerabilities
16 Application F-secure F-secure Anti-virus 4.51 Linux Gateways Version Details Vulnerabilities
17 Application F-secure F-secure Anti-virus 4.51 Linux Servers Version Details Vulnerabilities
18 Application F-secure F-secure Anti-virus 4.52 Linux Gateways Version Details Vulnerabilities
19 Application F-secure F-secure Anti-virus 4.52 Linux Servers Version Details Vulnerabilities
20 Application F-secure F-secure Anti-virus 4.52 Linux Workstations Version Details Vulnerabilities
21 Application F-secure F-secure Anti-virus 4.60 Samba Servers Version Details Vulnerabilities
22 Application F-secure F-secure Anti-virus 5.5 Client Security Version Details Vulnerabilities
23 Application F-secure F-secure Anti-virus 5.41 Mimesweeper Version Details Vulnerabilities
24 Application F-secure F-secure Anti-virus 5.41 Windows Servers Version Details Vulnerabilities
25 Application F-secure F-secure Anti-virus 5.41 Workstations Version Details Vulnerabilities
26 Application F-secure F-secure Anti-virus 5.42 Mimesweeper Version Details Vulnerabilities
27 Application F-secure F-secure Anti-virus 5.42 Windows Servers Version Details Vulnerabilities
28 Application F-secure F-secure Anti-virus 5.42 Workstations Version Details Vulnerabilities
29 Application F-secure F-secure Anti-virus 5.52 Client Security Version Details Vulnerabilities
30 Application F-secure F-secure Anti-virus 6.21 Ms Exchange Version Details Vulnerabilities
31 Application F-secure F-secure Anti-virus 2003 Version Details Vulnerabilities
32 Application F-secure F-secure Anti-virus 2004 Version Details Vulnerabilities
33 Application F-secure F-secure For Firewalls 6.20 Version Details Vulnerabilities
34 Application F-secure F-secure Internet Security 2003 Version Details Vulnerabilities
35 Application F-secure F-secure Internet Security 2004 Version Details Vulnerabilities
36 Application F-secure F-secure Personal Express 4.5 Version Details Vulnerabilities
37 Application F-secure F-secure Personal Express 4.6 Version Details Vulnerabilities
38 Application F-secure F-secure Personal Express 4.7 Version Details Vulnerabilities
39 Application F-secure Internet Gatekeeper 6.31 Version Details Vulnerabilities
40 Application F-secure Internet Gatekeeper 6.32 Version Details Vulnerabilities
41 Application Rarlab Winrar 3.20 Version Details Vulnerabilities
42 OS Redhat Fedora Core Core 1.0 Version Details Vulnerabilities
43 Application Redhat LHA 1.14i-9 I386 Version Details Vulnerabilities
44 Application SGI Propack 2.4 Version Details Vulnerabilities
45 Application SGI Propack 3.0 Version Details Vulnerabilities
46 Application Stalker Cgpmcafee 3.2 Version Details Vulnerabilities
47 Application Tsugio Okamoto LHA 1.14 Version Details Vulnerabilities
48 Application Tsugio Okamoto LHA 1.15 Version Details Vulnerabilities
49 Application Tsugio Okamoto LHA 1.17 Version Details Vulnerabilities
50 Application Winzip Winzip 9.0 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Clearswift Mailsweeper 14
F-secure F-secure Anti-virus 18
F-secure F-secure For Firewalls 1
F-secure F-secure Internet Security 2
F-secure F-secure Personal Express 3
F-secure Internet Gatekeeper 2
Rarlab Winrar 1
Redhat Fedora Core 1
Redhat LHA 1
SGI Propack 2
Stalker Cgpmcafee 1
Tsugio Okamoto LHA 3
Winzip Winzip 1

- References For CVE-2004-0234

http://www.osvdb.org/5754
OSVDB 5754
http://www.osvdb.org/5753
OSVDB 5753
http://www.guay-leroux.com/projects/barracuda-advisory-LHA.txt
http://www.debian.org/security/2004/dsa-515
DEBIAN DSA-515
http://securitytracker.com/id?1015866
SECTRACK 1015866
http://security.gentoo.org/glsa/glsa-200405-02.xml
GENTOO GLSA-200405-02
http://secunia.com/advisories/19514
SECUNIA 19514
http://lists.grok.org.uk/pipermail/full-disclosure/2004-May/020778.html
FULLDISC 20040502 Lha local stack overflow Proof Of Concept Code
http://lists.grok.org.uk/pipermail/full-disclosure/2004-May/020776.html
FULLDISC 20040501 LHa buffer overflows and directory traversal problems
http://xforce.iss.net/xforce/xfdb/16012
XF lha-multiple-bo(16012)
http://www.vupen.com/english/advisories/2006/1220
VUPEN ADV-2006-1220
http://www.redhat.com/support/errata/RHSA-2004-179.html
REDHAT RHSA-2004:179
http://www.redhat.com/support/errata/RHSA-2004-178.html
REDHAT RHSA-2004:178
http://archives.neohapsis.com/archives/bugtraq/2006-04/0059.html
BUGTRAQ 20060403 Barracuda LHA archiver security bug leads to remote compromise
http://www.securityfocus.com/bid/10243
BID 10243 Multiple LHA Buffer Overflow/Directory Traversal Vulnerabilities Release Date:2009-07-12
http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000840
CONECTIVA CLA-2004:840
http://www.redhat.com/archives/fedora-announce-list/2004-May/msg00005.html
FEDORA FEDORA-2004-119
https://bugzilla.fedora.us/show_bug.cgi?id=1833
FEDORA FLSA:1833
http://marc.theaimsgroup.com/?l=bugtraq&m=108422737918885&w=2
BUGTRAQ 20040510 [Ulf Harnhammar]: LHA Advisory + Patch

- Metasploit Modules Related To CVE-2004-0234

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.